Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.ws.axis2
Class ResourceDataSource

    java.lang.Object
      com.jaspersoft.jasperserver.ws.axis2.ResourceDataSource

All Implemented Interfaces:
  javax.activation.DataSource

    public class ResourceDataSource

extends java.lang.Object
implements javax.activation.DataSource

This class is used to transfer file usimg MTOM and SOAP with Attachments

Author:
  gtoffoli

Constructor Summary
`ResourceDataSource(java.lang.String name, FileResourceData fileResourceData)` Creates a new instance of ResourceDataSource

Method Summary
`java.lang.String` | `getContentType()`
`FileResourceData` | `getFileResourceData()`
`java.io.InputStream` | `getInputStream()`
`java.lang.String` | `getName()`
`java.io.OutputStream` | `getOutputStream()`
`void` | `setFileResourceData(FileResourceData fileResourceData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceDataSource

    public ResourceDataSource(java.lang.String name,
                              FileResourceData fileResourceData)

  Creates a new instance of ResourceDataSource

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `javax.activation.DataSource`
  Throws:
    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.activation.DataSource`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.activation.DataSource`

### getFileResourceData

    public FileResourceData getFileResourceData()

### setFileResourceData

    public void setFileResourceData(FileResourceData fileResourceData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.